Ant API: Class Property

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Property

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.Property

public class Property
extends Task

Will set a Project property. Used to be a hack in ProjectHelper

Author:
  costin@dnt.ro

Fields inherited from class org.apache.tools.ant.Task
`description, project, target`

Constructor Summary
`Property()`

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `getValue()`
`void` | `init()` Called by the project to let the task initialize properly.
`void` | `setFile(java.lang.String file)`
`void` | `setName(java.lang.String name)`
`void` | `setResource(java.lang.String resource)`
`void` | `setUserProperty(boolean userP)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class org.apache.tools.ant.Task
`execute, getDescription, setDescription, setTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Property

    public Property()

Method Detail

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### setValue

    public void setValue(java.lang.String value)

### getValue

    public java.lang.String getValue()

### setFile

    public void setFile(java.lang.String file)

### setResource

    public void setResource(java.lang.String resource)

### init

    public void init()
              throws BuildException

  Description copied from class: Task
  Called by the project to let the task initialize properly. Normally it does nothing.
  Overrides:
    init in class Task
  Tags copied from class: Task
  Throws:
    BuildException - if someting goes wrong with the build

### setUserProperty

    public void setUserProperty(boolean userP)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.